# Created by pyp2rpm-3.3.5
%global pypi_name lsp-server
%global srcname python_lsp_server

Name:           python-%{pypi_name}
Version:        1.12.2
Release:        %mkrel 1
Summary:        Python Language Server for the Language Server Protocol
Group:          Development/Python
License:        None
URL:            https://github.com/python-lsp/python-lsp-server
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel


%description
# Python LSP Server
A Python 3.7+ implementation of the Language Server Protocol.
If the respective dependencies are found, the following optional providers will
be enabled:
    Rope for Completions and renaming
    Pyflakes linter to detect various errors
    McCabe linter for complexity checking
    pycodestyle linter for style checking
    pydocstyle linter for docstring style checking (disabled by default)
    autopep8 for code formatting
    YAPF for code formatting (preferred over autopep8)
    flake8 for error checking (disabled by default)
    pylint for code linting (disabled by default)

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Obsoletes:      python3-language-server < 0.36.2-10
Obsoletes:      python3-language-server+all < 0.36.2-10
Provides:       python3-language-server = %{version}-%{release}

%description -n python3-%{pypi_name}
# Python LSP Server
A Python 3.7+ implementation of the Language Server Protocol.
If the respective dependencies are found, the following optional providers will
be enabled:
    Rope for Completions and renaming
    Pyflakes linter to detect various errors
    McCabe linter for complexity checking
    pycodestyle linter for style checking
    pydocstyle linter for docstring style checking (disabled by default)
    autopep8 for code formatting
    YAPF for code formatting (preferred over autopep8)
    flake8 for error checking (disabled by default)
    pylint for code linting (disabled by default)

%pyproject_extras_subpkg -n python3-%{pypi_name} all autopep8 flake8 mccabe pycodestyle pydocstyle pyflakes pylint rope yapf websockets

%prep
%autosetup -n python_lsp_server-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pylsp


%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md
%{_bindir}/pylsp



%changelog
* Thu Mar 20 2025 papoteur <papoteur> 1.12.2-1.mga10
+ Revision: 2167331
- new version 1.12.2

* Sun Mar 02 2025 wally <wally> 1.12.0-2.mga10
+ Revision: 2158386
- rebuild for python3.13

* Sat Sep 14 2024 papoteur <papoteur> 1.12.0-1.mga10
+ Revision: 2096537
- new version 1.12.0

* Mon May 13 2024 papoteur <papoteur> 1.11.0-1.mga10
+ Revision: 2063946
- new version 1.11.0

* Thu Mar 28 2024 papoteur <papoteur> 1.10.1-1.mga10
+ Revision: 2052923
- new version 1.10.1

* Fri Feb 23 2024 daviddavid <daviddavid> 1.10.0-2.mga10
+ Revision: 2043483
- obsoletes old python-language-server

* Fri Feb 02 2024 papoteur <papoteur> 1.10.0-1.mga10
+ Revision: 2036833
- new version 1.10.0

* Thu Nov 09 2023 papoteur <papoteur> 1.9.0-1.mga10
+ Revision: 2005343
- new 1.9.0

* Tue Oct 24 2023 papoteur <papoteur> 1.8.2-1.mga10
+ Revision: 2000733
- new 1.8.2

* Thu Sep 07 2023 papoteur <papoteur> 1.7.4-2.mga10
+ Revision: 1985040
- relax dependency on jedi

* Sat Sep 02 2023 papoteur <papoteur> 1.7.4-1.mga10
+ Revision: 1983704
- new 1.7.4

* Thu Sep 08 2022 papoteur <papoteur> 1.5.0-5.mga9
+ Revision: 1886013
- Relax again requirements

* Thu Sep 08 2022 papoteur <papoteur> 1.5.0-4.mga9
+ Revision: 1886001
- Relax requirement on pycodestyle

* Wed Sep 07 2022 papoteur <papoteur> 1.5.0-3.mga9
+ Revision: 1884874
- Fix names for extras

* Wed Sep 07 2022 papoteur <papoteur> 1.5.0-2.mga9
+ Revision: 1884870
- Add extras packages

* Wed Sep 07 2022 papoteur <papoteur> 1.5.0-1.mga9
+ Revision: 1884812
- imported package python-lsp-server

